import { r as registerInstance, c as createEvent, h, H as Host } from './index-b6f10a81.js';

const DvnAppRouteLink = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.action = createEvent(this, "action", 7);
  }
  render() {
    return (h(Host, { onClick: () => {
        if (!this.url)
          return;
        this.action.emit({
          type: 'navigation',
          direction: 'forward',
          url: this.url,
          viewId: this.viewId,
        });
      }, style: { display: 'block' } }, h("slot", null)));
  }
};

export { DvnAppRouteLink as dvn_app_route_link };
